Bullet Collision Detection & Physics Library: SoftBodyClusterData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
SoftBodyClusterData Struct Reference

`#include <btSoftBodyData.h>`

Collaboration diagram for SoftBodyClusterData:
[legend]

## Public Attributes
btTransformFloatData | m_framexform
btMatrix3x3FloatData | m_locii
btMatrix3x3FloatData | m_invwi
btVector3FloatData | m_com
btVector3FloatData | m_vimpulses [2]
btVector3FloatData | m_dimpulses [2]
btVector3FloatData | m_lv
btVector3FloatData | m_av
btVector3FloatData * | m_framerefs
int * | m_nodeIndices
float * | m_masses
int | m_numFrameRefs
int | m_numNodes
int | m_numMasses
float | m_idmass
float | m_imass
int | m_nvimpulses
int | m_ndimpulses
float | m_ndamping
float | m_ldamping
float | m_adamping
float | m_matching
float | m_maxSelfCollisionImpulse
float | m_selfCollisionImpulseFactor
int | m_containsAnchor
int | m_collide
int | m_clusterIndex

## Detailed Description

Definition at line 129 of file btSoftBodyData.h.

## Member Data Documentation

## ◆ m_adamping

float SoftBodyClusterData::m_adamping

Definition at line 154 of file btSoftBodyData.h.

## ◆ m_av

btVector3FloatData SoftBodyClusterData::m_av

Definition at line 138 of file btSoftBodyData.h.

## ◆ m_clusterIndex

int SoftBodyClusterData::m_clusterIndex

Definition at line 160 of file btSoftBodyData.h.

## ◆ m_collide

int SoftBodyClusterData::m_collide

Definition at line 159 of file btSoftBodyData.h.

## ◆ m_com

btVector3FloatData SoftBodyClusterData::m_com

Definition at line 134 of file btSoftBodyData.h.

## ◆ m_containsAnchor

int SoftBodyClusterData::m_containsAnchor

Definition at line 158 of file btSoftBodyData.h.

## ◆ m_dimpulses

btVector3FloatData SoftBodyClusterData::m_dimpulses[2]

Definition at line 136 of file btSoftBodyData.h.

## ◆ m_framerefs

btVector3FloatData* SoftBodyClusterData::m_framerefs

Definition at line 140 of file btSoftBodyData.h.

## ◆ m_framexform

btTransformFloatData SoftBodyClusterData::m_framexform

Definition at line 131 of file btSoftBodyData.h.

## ◆ m_idmass

float SoftBodyClusterData::m_idmass

Definition at line 148 of file btSoftBodyData.h.

## ◆ m_imass

float SoftBodyClusterData::m_imass

Definition at line 149 of file btSoftBodyData.h.

## ◆ m_invwi

btMatrix3x3FloatData SoftBodyClusterData::m_invwi

Definition at line 133 of file btSoftBodyData.h.

## ◆ m_ldamping

float SoftBodyClusterData::m_ldamping

Definition at line 153 of file btSoftBodyData.h.

## ◆ m_locii

btMatrix3x3FloatData SoftBodyClusterData::m_locii

Definition at line 132 of file btSoftBodyData.h.

## ◆ m_lv

btVector3FloatData SoftBodyClusterData::m_lv

Definition at line 137 of file btSoftBodyData.h.

## ◆ m_masses

float* SoftBodyClusterData::m_masses

Definition at line 142 of file btSoftBodyData.h.

## ◆ m_matching

float SoftBodyClusterData::m_matching

Definition at line 155 of file btSoftBodyData.h.

## ◆ m_maxSelfCollisionImpulse

float SoftBodyClusterData::m_maxSelfCollisionImpulse

Definition at line 156 of file btSoftBodyData.h.

## ◆ m_ndamping

float SoftBodyClusterData::m_ndamping

Definition at line 152 of file btSoftBodyData.h.

## ◆ m_ndimpulses

int SoftBodyClusterData::m_ndimpulses

Definition at line 151 of file btSoftBodyData.h.

## ◆ m_nodeIndices

int* SoftBodyClusterData::m_nodeIndices

Definition at line 141 of file btSoftBodyData.h.

## ◆ m_numFrameRefs

int SoftBodyClusterData::m_numFrameRefs

Definition at line 144 of file btSoftBodyData.h.

## ◆ m_numMasses

int SoftBodyClusterData::m_numMasses

Definition at line 146 of file btSoftBodyData.h.

## ◆ m_numNodes

int SoftBodyClusterData::m_numNodes

Definition at line 145 of file btSoftBodyData.h.

## ◆ m_nvimpulses

int SoftBodyClusterData::m_nvimpulses

Definition at line 150 of file btSoftBodyData.h.

## ◆ m_selfCollisionImpulseFactor

float SoftBodyClusterData::m_selfCollisionImpulseFactor

Definition at line 157 of file btSoftBodyData.h.

## ◆ m_vimpulses

btVector3FloatData SoftBodyClusterData::m_vimpulses[2]

Definition at line 135 of file btSoftBodyData.h.

The documentation for this struct was generated from the following file:

- btSoftBodyData.h